image:
  registry: mirror.jd.com
  repository: bitnami/mariadb
  tag: 10.1.34-debian-9

rootUser:
  password: Nzg0N2ExMDBhMjJhZTg0MmI0ZmM2YWVm
  forcePassword: true

db:
  user: test_db
  password: test123456
  name: test_db
  forcePassword: true

replication:
  enabled: true
  user: replicator
  password: MDA4N2FjNmEzN2ZlN2I5ODE0YTliOGVl
  forcePassword: true

master:
  service:
    type: NodePort
    port: 3306
    nodePort: 32001
  antiAffinity: soft
  persistence:
    enabled: true
    storageClass: "sata-r3"
    accessModes:
    - ReadWriteOnce
    size: 500Gi
  resources:
    requests:
      cpu: 8
      memory: 32Gi
    limits:
      cpu: 16
      memory: 64Gi

slave:
  service:
    type: NodePort
    port: 3306
    nodePort: 32101
  replicas: 3
  antiAffinity: soft
  persistence:
    enabled: true
    storageClass: "sata-r3"
    accessModes:
    - ReadWriteOnce
    size: 500Gi
  resources:
    requests:
      cpu: 8
      memory: 32Gi
    limits:
      cpu: 16
      memory: 64Gi

metrics:
  enabled: false
  image:
    registry: mirror.jd.com
    repository: prom/mysqld-exporter
    tag: v0.11.0
  resources:
    requests:
      cpu: 1
      memory: 1Gi
    limits:
      cpu: 2
      memory: 4Gi
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/port: "9104"
